// cEngine2API.cpp: implementation of the cEngine2API class.
//
//////////////////////////////////////////////////////////////////////

#include "cEngine2API.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

cEngine2API::cEngine2API()
{

}

cEngine2API::~cEngine2API()
{

}

void cEngine2API::SendColor(c4PointC C)
{
	switch(curapi)
	{
	case(OpenGL):
		{
			glColor4f(C.r,C.g,C.b,C.a);
			break;
		}
	default:
		{
			break;
		}
	}
}

void cEngine2API::Send3Point(c3Point vert)
{	switch(curapi)
	{
	case(OpenGL):
		{
			glVertex3f(vert.x,vert.y,vert.z);
			break;
		}
	default:
		{
			break;
		}
	}
}

void cEngine2API::SelectAPI(int api)
{
	curapi = api;
	//Currently OGL is the only API allowed.
	curapi = cEngine2API::OpenGL;
}

