// cEngine2API.h: interface for the cEngine2API class.
//
//////////////////////////////////////////////////////////////////////

#pragma once
#include <windows.h>
#include "c3Point.h"
#include "c4PointC.h"


#define OGL
//#define DX


#ifdef OGL
#include <gl/gl.h>
#endif

#ifdef DX
//DX includes
#endif



class cEngine2API  
{
	int curapi;
public:
	//Use the enum to select;
	void SelectAPI(int api);
	void Send3Point(c3Point vert);
	void SendColor(c4PointC C);
	cEngine2API();
	virtual ~cEngine2API();

    enum API { OpenGL=0, DirectX=1 };

};

